# Overview

This is the core (server) component of [Quassel](http://quassel-irc.org/), a
modern, cross-platform, distributed IRC platform.  One or more Quassel
clients can attach to and detach from this central core.

# Usage

To use this charm, run:

    juju deploy quassel-core
    juju expose quassel-core

Once the unit has deployed successfully, you can open your quassel client
(e.g. the Ubuntu package quassel-client) to connect to your quassel-core
unit's address on the configured port (default 4242) and configure the
service.

WARNING: The first user to connect to the quassel-core installation after it
is exposed will be prompted to configure the service, and will gain
administrative privileges over the quassel-core installation.

WARNING: If you're upgrading from a previous version of this charm, if your
existing certificate does not match the key size specified in the
configuration options (2048 bits, by default), your existing certificate
will be removed and recreated, resulting in a certificate mismatch warning
on the client.

# Configuration

Configuration options are documented in config.yaml.

# Contact Information

- Copyright (c) 2014, Canonical Ltd.
- License: GPLv3
- Maintainer: Paul Gear <https://launchpad.net/~paulgear>
- Upstream website: http://quassel-irc.org/
- Upstream bug tracker: http://bugs.quassel-irc.org/projects/quassel-irc 
- Upstream source code: http://github.com/quassel/quassel

# To do

- Check certificate validity length and change the cert if it has changed;
  at present, the validity is only set on unit install, meaning that if you
  want to change it, you must deploy the service, destroy the first unit and
  associated machine, then create a new unit; alternatively, assuming your
  environment is not lightning fast, you can set the preferred options using
  juju set while the first machine for the service is installing.

- Currently, all of the juju hook scripts run with 'set -x' enabled.  Once
  this charm has received an appropriate level of testing, this needs to be
  disabled and the hook scripts modified to use juju-log instead.

